<!--
     Copyright (C) 2017 The LineageOS Project
     Copyright (C) 2017 The DotOS Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->
<resources>
  
  <!-- Updater snackbar text color -->
  <java-symbol type="color" name="updater_snackbar_text_color" />

  <java-symbol type="bool" name="config_useSystemClockforRotationSensor" />
  
  <!-- Full screen aspect ratio -->
  <java-symbol type="bool" name="config_haveHigherAspectRatioScreen" />
  <java-symbol type="dimen" name="config_screenAspectRatio" />
  
  <!-- PlatLogo -->
  <java-symbol type="drawable" name="platlogo_dot" />

  <!-- Usb drive persistent notification -->
  <java-symbol type="bool" name="config_persistUsbDriveNotification" />

  <java-symbol type="bool" name="config_useDefaultBatchingForAccel" />

  <!-- Power menu -->
  <java-symbol type="string" name="reboot_to_recovery_title" />
  <java-symbol type="string" name="reboot_to_recovery_message" />
  <java-symbol type="string" name="reboot_to_bootloader_title" />
  <java-symbol type="string" name="reboot_to_bootloader_message" />
  <java-symbol type="string" name="reboot_title" />
  <java-symbol type="string" name="reboot_message" />
  <java-symbol type="array" name="config_custom_globalActionsList" />

  <!-- Proximity check on screen on -->
  <java-symbol type="bool" name="config_proximityCheckOnWake" />

  <!-- Proximity check timeout -->
  <java-symbol type="integer" name="config_proximityCheckTimeout" />

  <!-- Proximity check on screen on default -->
  <java-symbol type="bool" name="config_proximityCheckOnWakeEnabledByDefault" />

  <!-- Gesture Sensor -->
  <java-symbol type="bool" name="config_enableGestureService" />

  <!-- DUI -->
  <java-symbol type="anim" name="du_app_in" />
  <java-symbol type="anim" name="du_app_out" />

  <!-- Battery light notifications -->
  <java-symbol type="bool" name="config_intrusiveBatteryLed" />
  <java-symbol type="bool" name="config_multiColorBatteryLed" />
  <java-symbol type="bool" name="config_ledCanPulse" />

  <!-- The list of vendor package signatures that should also be considered
  platform signatures, specifically for use on devices with a vendor partition. -->
  <java-symbol type="array" name="config_vendorPlatformSignatures" />

  <!-- Notification volume -->
  <java-symbol type="drawable" name="ic_audio_notification_new" />
  <java-symbol type="drawable" name="ic_audio_notification_mute_new" />

  <!-- Ambient music -->
  <java-symbol type="bool" name="config_canForceDozeNotifications" />

  <!-- Whether device supports an alt. ambient display -->
  <java-symbol type="bool" name="config_alt_ambient_display"/>

  <!-- Notification icon/text dynamic tint -->
  <java-symbol type="bool" name="config_allowNotificationIconTextTinting" />
  <java-symbol type="color" name="notification_text_default_color" />

  <!-- Notification sender text color -->
  <java-symbol type="color" name="sender_text_color" />

  <!-- Forcefully tint notification icon text -->
  <java-symbol type="bool" name="config_useDarkBgNotificationIconTextTinting" />

  <java-symbol type="bool" name="config_useDarkBgNotificationTinting_override" />
  <java-symbol type="bool" name="config_notificationTinting_override" />

  <!-- Package Manager -->
  <java-symbol type="array" name="config_disabledComponents" /> 
  <java-symbol type="array" name="config_forceEnabledComponents" />

  <!-- ADB notification -->
  <java-symbol type="string" name="adb_net_active_notification_title" />
  <java-symbol type="string" name="adb_both_active_notification_title" />
  <java-symbol type="string" name="adb_active_generic_notification_message" />
  <!-- Whether notify fingerprint client of successful cancelled authentication -->
  <java-symbol type="bool" name="config_notifyClientOnFingerprintCancelSuccess" />

  <!-- Screenrecord -->
  <java-symbol type="bool" name="config_enableScreenrecordChord" />

  <!-- Hardware key binding -->
  <java-symbol type="integer" name="config_deviceHardwareKeys" />
  
  <!-- Tooltip text colors -->
  <java-symbol type="color" name="tooltip_text_light" />
  <java-symbol type="color" name="tooltip_text_dark" />

  <!-- Button brightness -->
  <java-symbol type="bool" name="config_button_brightness_support" />
  <java-symbol type="integer" name="config_button_brightness_default" />

  <!-- Whether device has dash charging support -->
  <java-symbol type="bool" name="config_hasDashCharger" />

   <!-- Whether device has turbo power charging support -->
   <java-symbol type="bool" name="config_hasTurboPowerCharger" />

   <!-- Sensor-block package -->
   <java-symbol type="array" name="config_blockPackagesSensorDrain" /> 

   <!-- Custom Analog clock -->
   <java-symbol type="drawable" name="custom_clock_dial" />
   <java-symbol type="drawable" name="custom_clock_dial_ambient" />
   <java-symbol type="drawable" name="custom_clock_hand_hour" />
   <java-symbol type="drawable" name="custom_clock_hand_minute" />
   <java-symbol type="color" name="analog_clock_border_color" />
   <java-symbol type="color" name="analog_clock_face_color" />
   <java-symbol type="color" name="analog_clock_hand_hour_color" />
   <java-symbol type="color" name="analog_clock_hand_minute_color" />

   <!-- DeadPool Analog clock -->
   <java-symbol type="drawable" name="deadpool_clock_dial" />
   <java-symbol type="drawable" name="deadpool_clock_dial_ambient" />
   <java-symbol type="drawable" name="deadpool_clock_hand_hour" />
   <java-symbol type="drawable" name="deadpool_clock_hand_minute" />
   
   <!-- DotOS Analog clock -->
   <java-symbol type="drawable" name="dot_clock_dial" />
   <java-symbol type="drawable" name="dot_clock_dial_ambient" />
   <java-symbol type="drawable" name="dot_clock_hand_hour" />
   <java-symbol type="drawable" name="dot_clock_hand_minute" />
   
   <!-- Spectrum Analog clock -->
   <java-symbol type="drawable" name="spectrum_clock_dial" />
   <java-symbol type="drawable" name="spectrum_clock_dial_ambient" />
   <java-symbol type="drawable" name="spectrum_clock_hand_hour" />
   <java-symbol type="drawable" name="spectrum_clock_hand_minute" />
   
   <!-- Sneeky Analog clock -->
   <java-symbol type="drawable" name="sneeky_clock_dial" />
   <java-symbol type="drawable" name="sneeky_clock_dial_ambient" />
   <java-symbol type="drawable" name="sneeky_clock_hand_hour" />
   <java-symbol type="drawable" name="sneeky_clock_hand_minute" />

    <!-- Whether the device requires overlays to be in /system/overlay -->
    <java-symbol type="bool" name="config_hasSystemOverlayPath" />
	
	<!-- From SignalStrength -->
  <java-symbol type="integer" name="config_LTE_antenna_bar_quantity_metric" />
  <java-symbol type="integer" name="config_LTE_RSRP_threshold_type" />
  
  <!-- display for radio tech -->
  <java-symbol type="bool" name="config_display_rat" />

  <!-- config 2G/3G/4G RAT strings for carriers -->
  <java-symbol type="string" name="config_rat_unknown" />
  <java-symbol type="string" name="config_rat_2g" />
  <java-symbol type="string" name="config_rat_3g" />
  <java-symbol type="string" name="config_rat_4g" />
  
  <!-- Whether the device supports Smart Pixels -->
  <java-symbol type="bool" name="config_enableSmartPixels" />
  
  <!-- Pocket Lock -->
  <java-symbol type="layout" name="pocket_lock_view_layout" />
  <java-symbol type="id" name="pocket_hint_container" />
  <java-symbol type="id" name="pocket_hint_image" />
  <java-symbol type="id" name="pocket_hint_message" />

</resources>
